Package org.apache.storm.daemon.common

# Class ReloadableSslContextFactory

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.util.ssl.SslContextFactory
org.eclipse.jetty.util.ssl.SslContextFactory.Server
org.apache.storm.daemon.common.ReloadableSslContextFactory

All Implemented Interfaces:
  `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.LifeCycle`, `org.eclipse.jetty.util.ssl.SniX509ExtendedKeyManager.SniSelector`

public class ReloadableSslContextFactory extends org.eclipse.jetty.util.ssl.SslContextFactory.Server

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.jetty.util.ssl.SslContextFactory

  `org.eclipse.jetty.util.ssl.SslContextFactory.Client, org.eclipse.jetty.util.ssl.SslContextFactory.Server, org.eclipse.jetty.util.ssl.SslContextFactory.X509ExtendedKeyManagerWrapper, org.eclipse.jetty.util.ssl.SslContextFactory.X509ExtendedTrustManagerWrapper`

  ## Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

  ## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

  `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

  ## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

  `org.eclipse.jetty.util.component.LifeCycle.Listener`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jetty.util.ssl.SslContextFactory.Server

  `SNI_HOST`

  ### Fields inherited from class org.eclipse.jetty.util.ssl.SslContextFactory

  `DEFAULT_KEYMANAGERFACTORY_ALGORITHM, DEFAULT_TRUSTMANAGERFACTORY_ALGORITHM, KEYPASSWORD_PROPERTY, PASSWORD_PROPERTY, TRUST_ALL_CERTS`

  ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `FAILED, STARTED, STARTING, STOPPED, STOPPING`

  ### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

  `KEY`

  ### Fields inherited from interface org.eclipse.jetty.util.ssl.SniX509ExtendedKeyManager.SniSelector

  `DELEGATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReloadableSslContextFactory()`
  `ReloadableSslContextFactory(boolean enableSslReload)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doStart()`
  `protected void`
  `doStop()`

  ### Methods inherited from class org.eclipse.jetty.util.ssl.SslContextFactory.Server

  `getKeyManagers, getNeedClientAuth, getSNISelector, getWantClientAuth, isSniRequired, newSniX509ExtendedKeyManager, setNeedClientAuth, setSniRequired, setSNISelector, setWantClientAuth, sniSelect`

  ### Methods inherited from class org.eclipse.jetty.util.ssl.SslContextFactory

  `addExcludeCipherSuites, addExcludeProtocols, checkCiphers, checkConfiguration, checkEndPointIdentificationAlgorithm, checkProtocols, checkTrustAll, customize, customize, deduceKeyLength, dump, dump, getAliases, getCertAlias, getCertChain, getCertificateFactoryInstance, getCertStoreInstance, getCipherComparator, getCrlPath, getEndpointIdentificationAlgorithm, getExcludeCipherSuites, getExcludeProtocols, getHostnameVerifier, getIncludeCipherSuites, getIncludeProtocols, getKeyManagerFactoryAlgorithm, getKeyManagerFactoryInstance, getKeyManagerPassword, getKeyStore, getKeyStorePassword, getKeyStorePath, getKeyStoreProvider, getKeyStoreResource, getKeyStoreType, getMaxCertPathLength, getOcspResponderURL, getPassword, getPkixCertPathChecker, getProtocol, getProvider, getRenegotiationLimit, getSecureRandomAlgorithm, getSecureRandomInstance, getSelectedCipherSuites, getSelectedProtocols, getSslContext, getSSLContextInstance, getSslSessionCacheSize, getSslSessionTimeout, getTrustManagerFactoryAlgorithm, getTrustManagerFactoryInstance, getTrustManagers, getTrustStore, getTrustStorePath, getTrustStoreProvider, getTrustStoreResource, getTrustStoreType, getX509, getX509CertChain, isEnableCRLDP, isEnableOCSP, isRenegotiationAllowed, isSessionCachingEnabled, isTrustAll, isUseCipherSuitesOrder, isValidateCerts, isValidatePeerCerts, loadCRL, loadKeyStore, loadTrustStore, newPassword, newPKIXBuilderParameters, newSSLEngine, newSSLEngine, newSSLEngine, newSslServerSocket, newSslSocket, processIncludeCipherSuites, reload, removeExcludedCipherSuites, selectCipherSuites, selectProtocols, setCertAlias, setCipherComparator, setCrlPath, setEnableCRLDP, setEnableOCSP, setEndpointIdentificationAlgorithm, setExcludeCipherSuites, setExcludeProtocols, setHostnameVerifier, setIncludeCipherSuites, setIncludeProtocols, setKeyManagerFactoryAlgorithm, setKeyManagerPassword, setKeyStore, setKeyStorePassword, setKeyStorePath, setKeyStoreProvider, setKeyStoreResource, setKeyStoreType, setMaxCertPathLength, setOcspResponderURL, setPkixCertPathChecker, setProtocol, setProvider, setRenegotiationAllowed, setRenegotiationLimit, setSecureRandomAlgorithm, setSessionCachingEnabled, setSslContext, setSslSessionCacheSize, setSslSessionTimeout, setTrustAll, setTrustManagerFactoryAlgorithm, setTrustStore, setTrustStorePassword, setTrustStorePath, setTrustStoreProvider, setTrustStoreResource, setTrustStoreType, setUseCipherSuitesOrder, setValidateCerts, setValidatePeerCerts, toString, validateCerts`

  ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `addEventListener, getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeEventListener, setEventListeners, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

  `dumpSelf`

- ## Constructor Details

  - ### ReloadableSslContextFactory

    public ReloadableSslContextFactory()

  - ### ReloadableSslContextFactory

    public ReloadableSslContextFactory(boolean enableSslReload)

- ## Method Details

  - ### doStart

    protected void doStart() throws Exception
    Overrides:
      `doStart` in class `org.eclipse.jetty.util.ssl.SslContextFactory`
    Throws:
      `Exception`

  - ### doStop

    protected void doStop() throws Exception
    Overrides:
      `doStop` in class `org.eclipse.jetty.util.ssl.SslContextFactory`
    Throws:
      `Exception`